#!/bin/bash
# Version 0.0.3 
# Date: 2007-08-09

svdrp="svdrpsend.pl"
commandNo=6
searchurl="http://german.imdb.com/find?s=tt&q="
tempout="/tmp/htmlout"
moviedata="/tmp/moviedata"
AUTOMATIC="0"

function getHTML()
{
	lynx -dump "$searchurl$1" > $tempout	
	titleurl=$(grep -e 'http:\/\/german.imdb.com\/title\/tt[0-9]*\/' $tempout | head -1 | cut -d"." -f2-)
	echo "TitleURL = $titleurl"
}

#falls Parameter gegeben: AUTOMATIC
if [ $# -ge 1 ]
then
	AUTOMATIC="1"
fi;

#hole den Titel der laufenden Sendung
#oder nimm den gegebenen Parameter
if [ $AUTOMATIC = "1" ]
then
	for arg in $*
	do
		title="$title+$arg"
	done
else
	channel=$($svdrp chan | grep 250 | cut -d" " -f 2)
	title=$($svdrp lste $channel now | grep 215-T | cut -d" " -f 2-| tr ' ' '+') 
fi;

#Verschiedene Titel zum probieren
titles="$(echo "$title" | cut -d"(" -f 2 | tr ')' ' ') $title $(echo "$title" | cut -d"(" -f 1) "

#get HTML
for try in $titles
do		
	getHTML $try;
	if [ "$titleurl" != "" ] 
	then 
		break
	fi;
done	
if [ "$titleurl" = "" ] 
then 
	if [ $AUTOMATIC = "0" ]
	then
		dummy=$($svdrp mesg "No IMDb-Entry found")
	fi;
	exit 1
fi;

#hol die Daten
lynx -dump -width=500 "$titleurl" > $tempout
>$moviedata
echo "IMDb-Page of   '$(grep 'IMDb >' $tempout | cut -d">" -f2-)'" >> $moviedata
awk '/^.+Overview/,/.*Message Boards.*/' $tempout | sed -e 's/\[[0-9a-zA-Z\.]*\]//g;/^$/d;s/_//g'|sed -e '/^ *$/d' >> $moviedata
sed -i 's/ *Overview$/\n---Overview---/' $moviedata
sed -i 's/ *Cast.*/\n---Cast---/' $moviedata
sed -i 's/ *Additional Details$/\n---Additional Details---/' $moviedata
sed -i 's/ *Fun Stuff$/\n---Fun Stuff---/' $moviedata
sed -i 's/ *User Comments.*/\n---User Comments---/' $moviedata
sed -i 's/mehr\.\.\.$//g;/.*Message Boards.*/d;/ *FAQ.*/d;s/^ *//g;s/ *\.\.\. */ \.\.\. /g'  $moviedata
sed -i 's/^\(.*\):$/\n---\1---/g' $moviedata


#Zeige im OSD falls nicht automatisch aufgerufen
if [ $AUTOMATIC = "0" ]
then
	dummy=$($svdrp hitk Commands)
	dummy=$($svdrp hitk $commandNo)
fi;

#cleanup
rm $tempout

exit 0


